%global dlrn_nvr 18.4.1-17.1.20230622064739.3b41bb0
%global dlrn 1
%define upstream_version 18.4.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x5d2d1e4fb8d38e6af76c50d53d4fec30cf5ce3da
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-heat
Version: 18.4.1
Release: 17.1.20230622064740.3b41bb0%{?dist}
Summary:        Puppet module for OpenStack Heat
License:        ASL 2.0

URL:            https://launchpad.net/puppet-heat

Source0: 18.4.1-17.1.20230622064739.3b41bb0.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=3b41bb0443701e47b0beee648c34c7d7f740675d

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Heat

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n openstack-heat-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/heat/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/heat/



%files
%{_datadir}/openstack-puppet/modules/heat/


%changelog
* Thu Jun 22 2023 OSP Prod Chain <dev-null@redhat.com> 22.0.1-17.1.20230622064739.3b41bb0
- Update patches

* Thu Mar 23 2023 OSP Prod Chain <dev-null@redhat.com> 22.0.0-1.20230323234835.3b41bb0
- Update patches
- Expose executor_thread_pool_size

* Tue Jan 31 2023 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20230201003831.76ef146
- Update patches
- Add support for MultiStrOpt

* Tue Jan 31 2023 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20230131224024.faba78e
- Add support for MultiStrOpt

* Sun Dec 25 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221226014025.faba78e
- Update patches
- Remove centos8 wallaby tripleo jobs

* Sun Dec 25 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221226003756.17d5f1e
- Remove centos8 wallaby tripleo jobs

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221108095434.17d5f1e
- Update patches
- setuptools: Disable auto discovery

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220727134146.7e4384d
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220714121143.7e4384d
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220713080106.7e4384d
- Update patches

* Thu Mar 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.0-0.20220317192332.7e4384d
- Update patches
- Add centos-9 jobs for wallaby zuul layout
- TripleO: Replace undercloud job by standalone job

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210607085720.62e45b0
- Update patches
- Set fixture paths for unit tests

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 19.0.0-0.20210528081334.d0ff531
- Update patches

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 18.4.0-1
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Update sphinx to the latest version
- Prepare Wallaby RC1

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for oslo_policy/enforce_new_defaults
- Update supported Ubuntu version to Focal

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update supported Ubuntu version to Focal
- Update supported Ubuntu version to Focal

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update supported Ubuntu version to Focal
- Add support for the oslo_policy/enforce_scope parameter

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Mar 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M3

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for healthcheck middleware options

* Wed Feb 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add TLS options to oslo.cache

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M2

* Fri Jan 15 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use yaml instead of json for policy file

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M1

* Thu Nov 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow db sync timeouts to be configurable

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Wed Nov 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate allow_insecure_clients option

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix outdated files

* Tue Oct 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Also deprecate the heat::sync_db parameter

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate database options from the heat class
- Cleanup redundant default
- Add support for the keystone_authtoken/service_type parameter

* Mon Oct 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Wallaby

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for sync

* Sat Oct 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for postgresql

* Fri Oct 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for mysql
- Update master for stable/victoria

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria RC1

* Sun Sep 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set openstackdocs_auto_name to use 'project' as name

* Tue Sep 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Puppet Litmus

* Tue Sep 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M3

* Mon Aug 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use openstack_spec_helper from zuul checkout
- Do not validate database_connection format

* Sat Aug 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add mysql_enable_ndb option

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Add mysql_enable_ndb option
- Add mysql_enable_ndb option

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add mysql_enable_ndb option

* Wed Aug 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expose vhost_custom_fragment

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use common class to manage apache service in beaker job

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M2

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change to relative include

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for the interface parameter in authtoken middleware

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add a max_stacks_per_tenant parameter

* Sat Jun 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M1

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update Puppet requirement to >= 6.0.0

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unnecessary puppet-rabbitmq from dependencies

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove password hash generation in each puppet modules

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Victoria

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Add CONTRIBUTING.rst

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump reno to 2.5.0

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS8 to nodesets

* Sun May 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use anchor to require necessary packages

* Sun May 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Runs on Debian 10.

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump openstackdocstheme to 1.30.0
- Fix rabbitmq version in metadata

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change rpsec to rspec

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/ussuri

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate heat::engione::deferred_auth_method

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove heat::engine::heat_watch_server_url

* Sat Apr 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri RC1

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3 again
- Resolve duplicated requirement names in metadata

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expect python3 client package in CentOS8

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS 8 and Puppet 6 in metadata
- Add support for cache options in specific module

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update mysql module to <11.0.0

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add server_keystone_endpoint_type param to heat::engine

* Wed Mar 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate min_pool_size option

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove idle_timeout option

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Cleanup for python 2.7 drop

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M2

* Wed Jan 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove identity_uri from README

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add vhost_custom_fragment option to wsgi/apache_api

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Make heat config client_retry_limit configurable"
- Make heat config client_retry_limit configurable

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix stdlib version in metadata

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M1

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert all class usage to relative names

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix rabbitmq dependency

* Mon Oct 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/train




